package com.yinet.system.service;

import com.yinet.common.core.domain.Stree;
import com.yinet.system.domain.TouchScreenGuidance;

import java.util.List;

/**
 * 菜单 业务层
 *
 * @author ruoyi
 */
public interface TouchScreenGuidanceService {
    List<TouchScreenGuidance> selectGuidanceList();
//wx
    public TouchScreenGuidance selectGuidanceById(String id);

    public int updateGuidance(TouchScreenGuidance guidance,String delIds);

    public int insertGuidance(TouchScreenGuidance guidance);

    public int selectCountGuidanceByParentId(String parentId);

    public int selectCountGuidanceByParentId1(String parentId,String zName);

    public int deleteGuidanceById(String guidanceId);

    public List<Stree> guidanceTreeData();

    public List<TouchScreenGuidance> selectGuidanceListByIdAndType(String id, String type);
//wx
    public List<TouchScreenGuidance> selectGuidanceListById(String id);

    public List<TouchScreenGuidance> selectGuidanceListByParentId(String id);
///
public List<TouchScreenGuidance> selectGuidanceListByParentId11(String id);

    //正定
    public List<TouchScreenGuidance> selectGuidanceListByZNameFindAll(String zName ,String parentId);


//wx
    public List<TouchScreenGuidance> selectParentGuidanceList();
/////////////////
   public  List<TouchScreenGuidance> selectParentGuidance(String zName);
}
